HotKey QL Help Index

HotKey QL Help Topics

  • The main shortcut editor window

  • The add / edit shortcut window

  • The add / edit script window

This online help provides information about the general operation and setup of the HotKey QL system.

©2005 Pa-software. All rights reserved. Pa-software, the Pa-software logo and other Pa-softwaremarks are owned by Pa-software and may be registered. All other trademarks are the property of their respective owners.


HotKey QL - Getting started

HotKey QL

Getting Started with HotKey QL

The HotKey QL system allows you to create key combinations that run either pre-defined actions or user defined actions. This means that if you want to run My Computer when you press CTRL + F5, you can.

Note Some key combinations are used within certain applications, so although these combinations will still work with HotKey QL, they will replace the previous assignment, producing possibly undesirable actions. With this in mind, it is prudent to take care choosing key combinations.

To create a shortcut:

  1. Right click on the HotKey QL keyboard icon in the taskbar tray.
  2. In the taskbar menu, select Show editor.
  3. In the Shortcut editor, either click on the Create a new shortcut toolbar icon or click on the Add button.
  4. Click the Capture button to set the required key combination e.g. hold down Alt+Shift+D together, then click End capture to accept the entered key combination.

    Note It is possible to use the modifier keys independently, by checking the check box below the capture field.

  5. In the Action combo, add the required action or choose from one of the pre-defined special actions (e.g. My Documents).
  6. In the Description field, enter a brief summary of the task performed.
  7. Click OK to finish creating the shortcut.

    Note newly created key combinations are disabled by default and must be activated before use (e.g. by ticking the items check box).

To create a script:

  1. Right click on the HotKey QL keyboard icon in the taskbar tray.
  2. In the taskbar menu, select Show editor.
  3. In the Shortcut editor, either click on the Create a new batch script, Create a new VB script, Create a new Java script toolbar icon or click on the Add script button.
  4. If required, click the Capture button to set the required key combination e.g. hold down Alt+Shift+D together, then click End capture to accept the entered key combination.

    Note It is possible to use the modifier keys independently, by checking the check box below the capture field.

  5. In the Action name field, enter a short name for the script.
  6. Enter the required script in the correct format and click on the Test button to check the script works correctly.

    Note The script type can also be changed.

  7. In the Description field, enter a brief summary of the task performed.
  8. Click OK to finish creating the script.

    Note newly created script key combinations are disabled by default and must be activated before use (e.g. by ticking the items check box).


HotKey QL - Shortcut Editor Help

Shortcut Editor

The main window shows a list of the current shortcuts and scripts.

Note A maximum of 200 shortcuts and scripts are allowed.

The main window is the interface for creating, editing, enabling and removing shortcuts and scripts.

To create a shortcut or a script:

  • Click on the Create a new shortcut toolbar icon or click on the Add button.
  • Click on the Create a new batch script, Create a new VB script, Create a new Java script toolbar icon or click on the Add script button.

To enable / disable a shortcut or a script:

  • Setting a check in the required items check box will enable the key combination, removing the check will disable the item.

    Note It is not possible to enable an item with does not have a key combination assigned (e.g. the shortcut is none).

To edit a shortcut or a script:

  • Double-click on the required item, select Edit the item from the toolbar or click the Edit button.

To run a script:

  • Select the required item, then select Execute the script from the toolbar or click the Run script button.

To remove a shortcut or a script:

  • Select the required item(s), then select Delete the item from the toolbar or click the Delete button.

    Note A conformation is required before the items are deleted.


HotKey QL - Shortcut Capture Help

Add / Edit Shortcut

The add / edit shortcut window allows the actual capture of the keyboard for the required shortcut.

The capture is performed by clicking the capture button, pressing the required key combination and then clicking the end capture button.

After the key combination has been created, the required action is entered.
This can be in the form of a program e.g.:

  • calc.exe to run the calculator
  • cmd.exe to open the command prompt under Windows NT
or as a shortcut to a web page e.g.:
  • http://www.pa-software.com
  • http://www.microsoft.com/support
or even an explorer directory e.g.:
  • C:\ to show the C: drive
  • \\my server\my share to show a network share

The action can also be created from a list of pre-defined items:

  • My computer
  • My documents
  • My network places

Note These can not be edited.

Once the action is entered, the optional description should be added to give a quick guide to the action performed, especially if the action itself does not provide a very good description.


HotKey QL - Script Capture Help

Add / Edit Script

The add / edit script window allows the actual capture of the keyboard for the required key combination.

The capture is performed by clicking the capture button, pressing the required key combination and then clicking the end capture button.

Note It is possible to have a script without a key combination assigned. This allows you to store all your scripts in one central location as they can be run from the main window.

After the key combination has been created, the action name should be entered. This should be the title of the script.

Then enter the required script in the correct format, using the Test button to check the script works correctly.

After the script has been added. Select the script type. This should be in one of the following formats: Batch, VBScript or JScript.

The optional description should then be added to give a brief description of the scripts function.

For example:

Eject the current CD in drive F

' Eject CD/DVD drives
Eject "F:\\"
Sub Eject(CDROM)
    Dim ssfDrives
    ssfDrives = 17
    CreateObject("Shell.Application")_
      .Namespace(ssfDrives).ParseName(CDROM).InvokeVerb("E&ject")
End Sub

For more scripts please visit the HotKey QL scripts Web Page.


HotKey QL - Copyright and Trademarks

Copyright and Trademarks

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Pa-software.

Pa-software may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Pa-software, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2005 Pa-software. All rights reserved.

Microsoft, Windows and Windows NT are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.